Last Comment Bug 777242 - Rename utils.assertElementVisible() to utils.isDisplayed()
: Rename utils.assertElementVisible() to utils.isDisplayed()
Status: RESOLVED FIXED
:
Product: Mozilla QA
Classification: Other
Component: Mozmill Tests (show other bugs)
: unspecified
: All All
: -- normal (vote)
: ---
Assigned To: Henrik Skupin (:whimboo) [away 09/30 - 10/06]
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-24 23:31 PDT by Henrik Skupin (:whimboo) [away 09/30 - 10/06]
Modified: 2012-07-26 06:30 PDT (History)
2 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---
fixed
fixed
fixed
fixed
fixed


Attachments
Patch v1 (11.64 KB, patch)
2012-07-24 23:32 PDT, Henrik Skupin (:whimboo) [away 09/30 - 10/06]
dave.hunt: review+
Details | Diff | Splinter Review
Patch (backport esr10) (11.61 KB, patch)
2012-07-26 04:30 PDT, Henrik Skupin (:whimboo) [away 09/30 - 10/06]
dave.hunt: review+
Details | Diff | Splinter Review

Description Henrik Skupin (:whimboo) [away 09/30 - 10/06] 2012-07-24 23:31:17 PDT
There is no need to assert in this method. We now have the assertions module which gives us way nicer feedback. Also with this change tests could check first if an element is visible before clicking on it.
Comment 1 Henrik Skupin (:whimboo) [away 09/30 - 10/06] 2012-07-24 23:32:41 PDT
Created attachment 645662 [details] [diff] [review]
Patch v1

Actually this patch depends on bug 777237.
Comment 2 Dave Hunt (:davehunt) 2012-07-25 03:51:11 PDT
Comment on attachment 645662 [details] [diff] [review]
Patch v1

I like it! Landed as:
http://hg.mozilla.org/qa/mozmill-tests/rev/2934fad7bfa2 (default)
Comment 3 Henrik Skupin (:whimboo) [away 09/30 - 10/06] 2012-07-26 04:29:53 PDT
Landed on other branches except esr10 which needs another patch:

http://hg.mozilla.org/qa/mozmill-tests/rev/b885b966b649 (aurora)
http://hg.mozilla.org/qa/mozmill-tests/rev/9a8c5efaf089 (beta)
http://hg.mozilla.org/qa/mozmill-tests/rev/3382269187e1 (release)
Comment 4 Henrik Skupin (:whimboo) [away 09/30 - 10/06] 2012-07-26 04:30:24 PDT
Created attachment 646090 [details] [diff] [review]
Patch (backport esr10)
Comment 5 Henrik Skupin (:whimboo) [away 09/30 - 10/06] 2012-07-26 06:30:00 PDT
And landed on esr10:
http://hg.mozilla.org/qa/mozmill-tests/rev/bd97debc7601

Note You need to log in before you can comment on or make changes to this bug.